Projects
Get Project
Retrieves a single project by ID
Retrieves a single project by ID
Path Parameters
id*string
Project ID, slug or public identifier
Query Parameters
includeDescriptionState?string
expand?string
includeMarkdown?string
Include description.markdown field. Omit for better performance when markdown is not needed.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/projects/string"{ "id": "string", "publicId": "string", "name": "string", "slug": "string", "icon": "string", "startDate": "2019-08-24T14:15:22Z", "dueDate": "2019-08-24T14:15:22Z", "ownerId": "string", "areaId": "string", "workspaceId": "string", "statusId": "string", "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "description": { "html": "string", "markdown": "string" }, "color": "string", "owner": { "id": "string", "name": "string", "email": "string", "username": "string" }, "status": { "id": "string", "name": "string", "color": "string", "icon": "string" }, "area": { "id": "string", "name": "string", "publicId": "str" }, "descriptionSnapshot": { "descriptionStateStr": "string", "descriptionMarkdown": "string" }, "taskCounts": [ { "statusId": "string", "name": "string", "count": 0 } ], "recentUpdates": [ { "id": "string", "action": "string", "property": "string", "prevValue": "string", "newValue": "string", "createdAt": "string", "userId": "string", "entityId": "string", "entityType": "string" } ]}{ "message": "string"}